From d12127d94e3a844c9cc7e1bb440db9d04057769b Mon Sep 17 00:00:00 2001
From: Stephanie Buser <sbuser@codeaurora.org>
Date: Thu, 22 Apr 2021 17:45:17 +0530
Subject: [PATCH 02/15] Adding Support for RTC

	Enabled DS3231 and RV4162
	Configured DS3231 as default
---
 .../arch/arm64/boot/dts/qcom/rg500q-evk.dtsi       | 25 ++++++++++++++++++++++
 .../arch/arm64/boot/dts/qcom/sdxprairie.dtsi       |  2 ++
 ql-ol-kernel/drivers/rtc/Kconfig                   |  2 ++
 3 files changed, 29 insertions(+)
 create mode 100755 ql-ol-kernel/arch/arm64/boot/dts/qcom/rg500q-evk.dtsi

diff --git a/ql-ol-kernel/arch/arm64/boot/dts/qcom/rg500q-evk.dtsi b/ql-ol-kernel/arch/arm64/boot/dts/qcom/rg500q-evk.dtsi
new file mode 100755
index 0000000..cd2bac3
--- /dev/null
+++ b/ql-ol-kernel/arch/arm64/boot/dts/qcom/rg500q-evk.dtsi
@@ -0,0 +1,25 @@
+/* Copyright (c) 2016-2021, The Linux Foundation. All rights reserved.
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License version 2 and
+ * only version 2 as published by the Free Software Foundation.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ */
+
+&i2c_3 {
+	rtc-ds3231@68 {
+		compatible = "maxim,ds3231";
+		reg = <0x68>;
+		status = "okay";
+	};
+
+	rv4162-rtc@68 {
+		compatible = "microcrystal,rv4162";
+		reg = <0x68>;
+		status = "disabled";
+	};
+};
diff --git a/ql-ol-kernel/arch/arm64/boot/dts/qcom/sdxprairie.dtsi b/ql-ol-kernel/arch/arm64/boot/dts/qcom/sdxprairie.dtsi
index 9f43141..a37e6f8 100755
--- a/ql-ol-kernel/arch/arm64/boot/dts/qcom/sdxprairie.dtsi
+++ b/ql-ol-kernel/arch/arm64/boot/dts/qcom/sdxprairie.dtsi
@@ -1620,3 +1620,5 @@
 		};
 	};
 };
+
+#include "rg500q-evk.dtsi"
diff --git a/ql-ol-kernel/drivers/rtc/Kconfig b/ql-ol-kernel/drivers/rtc/Kconfig
index 623fdec..4e926de 100755
--- a/ql-ol-kernel/drivers/rtc/Kconfig
+++ b/ql-ol-kernel/drivers/rtc/Kconfig
@@ -228,6 +228,7 @@ config RTC_DRV_AS3722
 
 config RTC_DRV_DS1307
 	tristate "Dallas/Maxim DS1307/37/38/39/40/41, ST M41T00, EPSON RX-8025, ISL12057"
+	default y
 	help
 	  If you say yes here you get support for various compatible RTC
 	  chips (often with battery backup) connected with I2C. This driver
@@ -457,6 +458,7 @@ config RTC_DRV_PCF8583
 
 config RTC_DRV_M41T80
 	tristate "ST M41T62/65/M41T80/81/82/83/84/85/87 and compatible"
+	default y
 	help
 	  If you say Y here you will get support for the ST M41T60
 	  and M41T80 RTC chips series. Currently, the following chips are
-- 
2.7.4

